%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without signing

Name:           jbossws-cxf
Version:        3.1.2
Release:        4.SP7.6%{?dist}
Summary:        JBoss WS CXF Stack
License:        LGPL
Group:          Development/Java
URL:            http://labs.jboss.com/jbossws/

%define full_version %{version}.SP7
%define cxf_version 2.2.6-patch-01

# Here are the sources
# svn export http://anonsvn.jboss.org/repos/jbossws/stack/cxf/tags/jbossws-cxf-3.1.2.SP7 jbossws-cxf
# Note: Exported revision 12756.
# tar czf jbossws-cxf-3.1.2.SP7-src.tgz jbossws-cxf
Source0: jbossws-cxf-%{full_version}-src.tgz

# JAR signing script
Source1:        sign-unsigned-jars

# Depmap to convert mismatched Maven coordinates
Source2: %{name}-depmap.xml

# Enterprise EULA (from CVS jboss-wfk/RHEL-4-EP-5/JBossEULA.txt)
Source3: %{name}-JBossEULA.txt

# We need a package for apache-cxf-anttasks
Source11: jbossws-cxf-apache-cxf-anttasks.tgz

# Things we need to patch
Patch1:  %{name}-build.patch
Patch2:  %{name}-pom.patch
Patch3:  %{name}-installer.patch
Patch4:  %{name}-no-saaj.patch

BuildArch:      noarch

# Basic stuff
BuildRequires: jpackage-utils
BuildRequires: java
BuildRequires: java-devel

# Maven is actually called from an Ant script
# and then invokes Ant with 'antrun'
BuildRequires: ant >= 0:1.7.0
BuildRequires: ant-nodeps

# Maven and its dependencies
BuildRequires: maven2
BuildRequires: maven2-plugin-antrun
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-clean
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-dependency
BuildRequires: maven2-plugin-enforcer
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-release
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-site
BuildRequires: maven2-plugin-source
BuildRequires: maven2-plugin-war
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-shared
BuildRequires: maven-shared-file-management
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-surefire
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-wagon
BuildRequires: plexus-archiver
BuildRequires: plexus-compiler
BuildRequires: plexus-containers-container-default
BuildRequires: plexus-i18n
BuildRequires: plexus-utils
BuildRequires: plexus-velocity
# DEBUG
BuildRequires: maven2-plugin-help

# JBossWS dependencies
BuildRequires: jbossws-spi >= 0:1.1.2
BuildRequires: jbossws-parent >= 0:1.0.2
BuildRequires: jbossws-common >= 0:1.1.0
BuildRequires: jbossws-framework >= 0:3.1.2

# Provided APIs
#BuildRequires: ejb-api >= 0:3.0
#BuildRequires: jsr181-api >= 0:1.0-MR1

# CXF dependencies
BuildRequires: apache-abdera-core >= 0:0.4.0
BuildRequires: apache-abdera-parser >= 0:0.4.0
BuildRequires: apache-abdera-extensions >= 0:0.4.0
BuildRequires: apache-cxf >= 0:2.2.2
# FIXME: Source11 for now
#BuildRequires: apache-cxf-anttasks >= 0:2.1.5
#BuildRequires: apache-cxf-stax >= 0:1.0.1
#BuildRequires: apache-cxf-asm >= 0:2.2.3
#BuildRequires: jaxrpc-api >= 0:1.1
#BuildRequires: saaj-api >= 0:1.3
#BuildRequires: jaxws-api >= 0:2.1-1
BuildRequires: glassfish-jaxws >= 0:2.1.3
BuildRequires: sun-fi >= 0:1.2.7
BuildRequires: velocity >= 0:1.5
BuildRequires: jakarta-commons-collections >= 0:3.1
BuildRequires: jakarta-commons-lang >= 0:2.1
BuildRequires: xml-security >= 0:1.4.2
#BuildRequires: asm >= 0:2.2.3
BuildRequires: objectweb-asm >= 0:3.1
BuildRequires: tjws >= 0:1.3.3
BuildRequires: jra >= 0:1.0
# This was an indirect dependency, now excluded
# JSR311 is RESTful, which we can get from RESTEasy
#BuildRequires: resteasy

# JBoss provided
BuildRequires: jboss-common-core >= 0:2.2.14
#BuildRequires: jboss-logging >= 0:2.0.5
BuildRequires: jboss-common-logging-spi >= 0:2.0.5
#BuildRequires: jboss-common-logging-jdk >= 0:2.0.5
#BuildRequires: jboss-common-logging-log4j >= 0:2.0.5

# Transitive dependencies
BuildRequires: log4j >= 0:1.2.14
BuildRequires: glassfish-jaxb >= 0:2.1.9
BuildRequires: juddi >= 0:2.0.1
BuildRequires: ws-scout >= 0:1.1.1
BuildRequires: jakarta-commons-logging >= 0:1.1.1

# Other dependencies brough in by Maven
BuildRequires: aopalliance >= 0:1.0
BuildRequires: xerces-j2 >= 0:2.9.1
BuildRequires: xml-commons >= 0:1.3.03
# This is the Fedora version of bc (audited for IP issues)
BuildRequires: bouncycastle >= 0:1.43
BuildRequires: classworlds >= 0:1.1
#BuildRequires: jsch >= 0:0.1.27
BuildRequires: jsch >= 0:0.1.42
BuildRequires: xstream >= 0:1.3.1
BuildRequires: jakarta-commons-beanutils >= 0:1.8.0
BuildRequires: jakarta-commons-cli >= 0:1.0
BuildRequires: jakarta-commons-codec >= 0:1.2
BuildRequires: jakarta-commons-digester >= 0:1.6
BuildRequires: jakarta-commons-io >= 0:1.4
BuildRequires: jakarta-commons-pool >= 0:1.3
BuildRequires: jakarta-commons-validator >= 0:1.2.0
BuildRequires: dom4j >= 0:1.6.1
BuildRequires: gnu-getopt >= 0:1.0.13
BuildRequires: glassfish-jaf >= 0:1.1
BuildRequires: glassfish-javamail >= 0:1.4
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: glassfish-jaxb >= 0:2.1.4
BuildRequires: jtidy >= 0:1.0
BuildRequires: junit >= 0:3.8.1
# For jboss-j2ee 4.0.2
# For jboss-jmx 4.2.2.GA
# For jboss-system 4.2.2.GA
# These were spurious dependencies brought in by juddi-service.sar
#BuildRequires: jbossas
# For jboss-jaxrpc 1.0.4.GA
# For jboss-jaxws 3.0.1-native-2.0.4.GA
# For jboss-saaj 1.0.4.GA
BuildRequires: jbossws >= 0:3.1.2
#BuildRequires: jbossws-native >= 0:3.0.4
BuildRequires: geronimo-jaxrpc-1.1-api
#BuildRequires: geronimo-ws-metadata-2.0-api
# FIXME: WE'd like to replace the above jsr181 with this one
#BuildRequires: sun-ws-metadata-2.0-api
#BuildRequires: geronimo-stax-1.0-api
# It needs SAAJ 1.3 or we get a cannot find symbol
# symbol  : method getFaultCodeAsQName()
# location: interface javax.xml.soap.SOAPFault
# FIXME: Required by cxf-rt-frontend-jaxws ADD EXCLUSION?
#BuildRequires: geronimo-saaj-1.1-api
BuildRequires: sun-saaj-1.3-api
BuildRequires: sun-saaj-1.3-impl
BuildRequires: geronimo-annotation-1.0-api
# We use glassfish-jaf as the EAP
#BuildRequires: geronimo-jaf-1.1-api
# Use the same JMS API used by the EAP
#BuildRequires: geronimo-jms-1.1-api
#BuildRequires: jboss-jms-1.1-api >= 0:5.0.1
# Use glassfish-javamail which is the one used in the EAP
BuildRequires: geronimo-javamail-1.4-api
BuildRequires: geronimo-servlet-2.5-api
# FIXME Why our geronimo-specs does not have jaxws ?
#BuildRequires: geronimo-jaxws-2.1-api
BuildRequires: ws-commons-XmlSchema >= 0:1.4.5
BuildRequires: wss4j >= 0:1.5.7
# For wss4j which needs neethi 2.0.4
BuildRequires: ws-commons-neethi >= 0:2.0.4
BuildRequires: xmlbeans >= 0:2.4.0
BuildRequires: jettison >= 0:1.1
BuildRequires: codehaus-stax11-api
BuildRequires: wstx >= 0:3.2.9
BuildRequires: hibernate3-ejb-persistence-3.0-api >= 0:1.0
BuildRequires: jboss-parent
#BuildRequires: jboss-cl >= 0:2.0.3
BuildRequires: jboss-cl >= 0:2.0.6
# For jboss-ejb-api 3.0.0.GA
BuildRequires: jboss-ejb3-ext-api >= 0:1.0.0
#BuildRequires: jboss-integration >= 0:5.0.3
BuildRequires: jboss-integration >= 0:5.1.0
# For jboss-jms-api 1.1.0.GA
# For jboss-transaction-api 1.0.1.GA
BuildRequires: jboss-javaee >= 0:5.0.1
BuildRequires: jboss-jms-1.1-api
BuildRequires: jboss-transaction-1.0.1-api
BuildRequires: jboss-ejb-3.0-api
BuildRequires: jboss-jaxr >= 0:1.2.1
#BuildRequires: jboss-mdr >= 0:2.0.0
BuildRequires: jboss-mdr >= 0:2.0.2
BuildRequires: jboss-reflect >= 0:2.0.2
#BuildRequires: jboss-vfs >= 0:2.0.0
BuildRequires: jboss-vfs2 >= 0:2.1.2
#BuildRequires: jbossxb >= 0:2.0.0
BuildRequires: jbossxb2 >= 0:2.0.1
#BuildRequires:  jboss-metadata >= 1.0.0.CR16
BuildRequires: jboss-metadata >= 0:1.0.1
#BuildRequires: jboss-microcontainer >= 0:2.0.2
BuildRequires: jboss-microcontainer2 >= 0:2.0.7
BuildRequires: slf4j >= 0:1.5.6
BuildRequires: spring2-core >= 0:2.5.6
BuildRequires: spring2-beans >= 0:2.5.6
BuildRequires: spring2-context >= 0:2.5.6
BuildRequires: spring2-web >= 0:2.5.6
BuildRequires: spring2-jms >= 0:2.5.6
BuildRequires: spring2-context-support >= 0:2.5.6
BuildRequires: spring2-tx >= 0:2.5.6
BuildRequires: jakarta-oro >= 0:2.0.8
BuildRequires: regexp >= 0:1.3
BuildRequires: wsdl4j >= 0:1.6.2
# Actually dtdparser 1.2.1
BuildRequires: dtdparser >= 0:1.21
BuildRequires: xalan-j2 >= 0:2.7.1
BuildRequires: xml-commons-apis >= 0:1.3.03
BuildRequires: xml-commons-resolver12 >= 0:1.2
BuildRequires: zip
# FIXME Asks for xpp3 1.1.4c
BuildRequires: xpp3-minimal >= 0:1.1.3.4


Requires:       java
Requires:       jpackage-utils

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
JBoss WS CXF Stack

%package javadoc
Summary:        API Documentation for %{name}
Group:          Development/Documentation

%description javadoc
API Documentation for %{name}.

%package zip
Summary:        ZIP Distribution for %{name}
Group:          Development

%description zip
ZIP Distribution for %{name}.

%package src-zip
Summary:        Container for the sources for %{name}
Group:          Development

%description src-zip
Container for the sources for %{name}.

%prep
%setup -q -n %{name}

# Here we apply the patches
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
# Needed by the mvn-jpp command we use
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

# Add any artifacts we cannot download to local repository
pushd $MAVEN_REPO_LOCAL
# We need a package for apache-cxf-anttasks
# FIXME Not needed at run-time
#tar xzf %{SOURCE11}

popd

# A bug in our depmap code misses the classifiers
mvn-jpp install:install-file -DgroupId=org.jboss.ws -DartifactId=jbossws-framework -Dversion=3.1.2.SP4 -Dclassifier=testsuite -Dpackaging=zip -Dfile=%{_javadir}/jbossws-framework-testsuite.zip -Dmaven.repo.local=$MAVEN_REPO_LOCAL

# The depmap is used by the mvn-jpp command to convert dependencies
# to the locations and versions that are available (if needed)
cp %{SOURCE2} %{name}-depmap.xml
export MAVEN_DEPMAP=$(pwd)/%{name}-depmap.xml

# TODO: Remember to replace the EULA!

# DEBUG
pushd modules/server
mvn-jpp -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP} help:effective-pom
popd


# Build the binary distribution
#mvn-jpp -e \
#        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
#        -Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP} \
#        -Dmaven.test.skip=true \
#        -Pbindist package assembly:directory
cp profiles.xml.example profiles.xml

ant -Dmvn="mvn-jpp" -Dmaven.opts="-e \
-Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
-Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP}" build-installer

ant -Dmvn="mvn-jpp" -Dmaven.opts="-e \
-Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
-Dmaven2.jpp.depmap.file=${MAVEN_DEPMAP}" build-src-dist

# TODO: Do the steps below in a jbossas build
## Now integrate it with a JBoss AS
#cd target
##cd jbossws-cxf-bin-dist
#cd jbossws-cxf-bin-dist.dir
#cp ant.properties.example ant.properties
#JBOSS_BIND_ADDRESS=localhost
#JBOSS_CONFIG=default
#JBOSS_INSTANCE=/usr/share/jbossas
#ENVIRONMENT="-Dmaven.opts=-U -Djboss.bind.address=$JBOSS_BIND_ADDRESS -Djbossws.integration.target=jboss510 -Djboss510.home=$JBOSS_INSTANCE"
#ant $ENVIRONMENT deploy-jboss510

# JAR signing (the JARs are inside a .zip so we have to do it here)
%if %with signing
mkdir tmp
pushd tmp
cp %{SOURCE1} .
unzip -q ../target/jbossws-cxf-installer.zip

# FIXME: take this opportunity to fix Maven 2.0.8 assembly plugin screw up
# which leaves the JARs with versions in them (not always the correct one)
pushd jbossws-cxf-installer/deploy/lib

# We don't ship JUnit as some object the license
rm -f junit*.jar

# JBossWS CXF JARs and WAR
ver=%{full_version}
for jar in $(ls jbossws-cxf*-${ver}.?ar) ; do
  mv ${jar} `echo $jar | sed "s|-${ver}||g"` ;
done

# Apache CXF JARs
ver=%{cxf_version}
for jar in $(ls cxf*-${ver}.jar) ; do
  mv ${jar} `echo $jar | sed "s|-${ver}||g"` ;
done

# Third-party JARs
for jar in \
  commons-lang \
  jaxrpc-api \
  jsr181-api \
  neethi \
  saaj-api \
  saaj-impl \
  spring-beans \
  spring-context \
  spring-core \
  velocity \
  wss4j \
  XmlSchema \
  scout \
  FastInfoset \
  juddi \
  xml-resolver \
  jbossws-spi \
  wstx \
  jbossws-framework \
  wsdl4j \
  xmlsec \
  asm \
; do
  [ -f ${jar}-*.jar ] && mv ${jar}-*.jar ${jar}.jar
done
popd

./sign-unsigned-jars jbosscodesign2009 jbossws-cxf-installer/deploy/lib
rm ../target/jbossws-cxf-installer.zip
zip -q -r ../target/jbossws-cxf-installer.zip jbossws-cxf-installer
popd
rm -fr tmp
%endif 


%install
rm -rf $RPM_BUILD_ROOT

echo $(pwd)

# TODO: Install main package files: JARs, text files, use links for JARs
# whenever possible, docs

# TODO: Create a repolib subpackage

## Rename the javamail JAR file to match the EAP one
#mkdir tmp
#pushd tmp
#unzip -q ../target/jbossws-cxf-bin-dist.zip
#pushd jbossws-cxf-bin-dist/deploy/lib
#mv mail-1.4.jar javamail.jar
#popd
#rm ../target/jbossws-cxf-bin-dist.zip
#zip -q -r ../target/jbossws-cxf-bin-dist.zip jbossws-cxf-bin-dist
#popd
#rm -fr tmp

# Copy the ZIPs
install -d -m 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev
#install -p -m 644 target/jbossws-cxf-bin-dist.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{full_version}-bin-dist.zip
install -p -m 644 target/jbossws-cxf-installer.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{full_version}-installer.zip
install -p -m 644 target/jbossws-cxf-src-dist.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/%{name}-%{full_version}-src-dist.zip

%files
%defattr(0644,root,root,0755)
#%%dir %{_javadir}/%{name}
#%%{_javadir}/%{name}/JBossEULA.txt
#%%{_javadir}/%{name}/LICENSE-ASL-2.0.txt
#%%{_javadir}/%{name}/README_DEPENDENCIES.txt

%files javadoc
%defattr(-, root, root, -)
#%%dir %{_javadocdir}/%{name}-%{full_version}
#%%doc %{_javadocdir}/%{name}-%{full_version}

%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/%{name}-%{full_version}-installer.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/%{name}-%{full_version}-src-dist.zip

%changelog
* Thu Sep 09 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6
- No saaj-api.jar needed (JBPAPP-4993)
- Incorporate fix for EWP installer use

* Thu Sep 02 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.5
- Devolve jaxrpc-api.jar as it is needed indirectly (by EJB3)

* Thu Aug 26 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.4
- Rebuild

* Thu Aug 12 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP7.3
- Apply %{name}-no-jaxrpc-api.patch so that the installer does not include jaxrpc-api.jar

* Tue Aug 10 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.2
- Rebuild to remove vwersions from cxf JAR file names

* Fri Aug 06 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.1
- Upgrade to SP7

* Tue Jul 27 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.11
- Fixed %{name}-installer-ewp-noauth.patch

* Tue Jul 27 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.10
- Merge from RHEL4

* Tue Jul 27 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.10
- changed patch name from %{name}-installer-ewp.patch to  %{name}-installer-ewp-noauth.patch
- changed %{name}-installer-ewp-noauth.patch to allow for noauth option for cxf installer

* Mon Jul 19 2010 David Walluck <dwalluck@redhat.com 0:3.1.2-4.SP6.9
- own directories in zip and src-zip packages

* Wed Jul 14 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.8
- Modified the patch that allows the script to work with both EAP and EWP

* Tue Jul 13 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.7
- Add patch to make the script work with both EAP and EWP

* Mon Jun 14 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.6
- Rebuild with patched apache-cxf

* Mon Jun 14 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.5
- Remove versions from new thirdparty libraries added in SP6

* Mon Jun 14 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.4
- Remove release from ZIP file names
- Remove extra space from Class-Path

* Wed Jun 09 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.3
- Update Class-Path list

* Tue Jun 08 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.2
- Add more JARs to the client JAR Class-Path

* Mon Jun 07 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.1
- Upgrade to SP6

* Tue Dec 15 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.6
- Remove version from WAR file as well

* Tue Dec 15 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.5
- Remove by brute force version numbers in JAR file names left by the
  Maven 2.0.8 assembly plugin

* Fri Dec 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.4
- Refresh tar ball with final SP3 from tag

* Fri Dec 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.3
- Add signing of JARs as optional (default on)

* Thu Dec 10 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.2
- Change dependencies and patches to match changes made to branch

* Tue Dec 01 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.1
- Upgrade to SP3
- Switch to tp installer build

* Tue Nov 17 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.16
- Remove RESTEasy as it was an indirect dependency

* Mon Nov 16 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.15
- More depmap cleanups

* Mon Nov 16 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.14
- Remove cxf-anttask as it iis not needed at run-time

* Wed Nov 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.13
- Upgrade some dependencies and partially clean up depmap

* Fri Oct 30 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.12
- Rebuild with Apache CXF built from sources

* Fri Oct 23 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.11
- Make sure glassfish-javamail is used and installed

* Fri Oct 23 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.10
- Use apache-cxf package

* Wed Oct 21 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.9
- Use sun-saaj-1.3-{api,impl} packages

* Wed Oct 21 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.8
- Use resteasy for the jsr311 API

* Wed Oct 21 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.7
- Exclude old dependencies of JBoss Native

* Fri Oct 16 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.6
- Rebuild with upgraded dependencies
- Use apache-abdera package

* Tue Aug 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.5
- Rebuild with upgraded dependencies
- Add dependency in server module for org.jboss.javaee:jboss-ejb-api:jar
  due to compilation error:
  modules/server/src/main/java/org/jboss/wsf/stack/cxf/WebServiceContextEJB.java:[26,17] package javax.ejb does not exist

* Tue Jul 28 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.4
- Use the Fedora 11 version of bouncycastle (audited for IP issues)

* Sun Jul 26 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.3
- Remove binaries for juddi SAR -- grab from jboss-jaxr package
- Build with upgraded jboss-jaxr

* Fri Jul 24 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.2
- Use tjws package
- Use jra package
- Use wss4j package
- Use ws-commons-neethi package

* Thu Jul 23 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.1
- Upgrade to 3.1.2.SP2
- Use jboss-cl and jboss-integration packages
- Use jboss-metadata package
- Use jboss-microcontainer2 package
- Use jboss-vfs2 package
- Use jboss-mdr package
- Use jbossxb2 package
- Use jbossws-spi package
- Use jbossws-parent package
- Use jbossws-common package
- Use jbossws-framework package
- Use jboss-reflect package
- Use jboss-ejb3-ext-api package

* Mon Jun 22 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-2.SP1.1
- Update to SP1
- Use jboss-common-core package
- Use glassfish-jaxws package

* Mon Jun 22 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-1
- First RPM release
